Package org.apache.any23.validator

## Class XMLValidationReportSerializer

- java.lang.Object
- - org.apache.any23.validator.XMLValidationReportSerializer

- All Implemented Interfaces:
    `ValidationReportSerializer`

      public class XMLValidationReportSerializer
      extends Object
      implements ValidationReportSerializer

  Default implementation of `ValidationReportSerializer` for XML.
  Author:
    Michele Mostarda (mostarda@fbk.eu)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `XMLValidationReportSerializer.NodeName` | Allows to specify a custom node name.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XMLValidationReportSerializer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `serialize​(ValidationReport vr, OutputStream os)` | Serializes the validation report on the given output stream.
    `void` | `serializeGetterValue​(Object o, Method m, PrintStream ps)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLValidationReportSerializer

          public XMLValidationReportSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize​(ValidationReport vr,
                                OutputStream os)
                         throws SerializationException

      Description copied from interface: `ValidationReportSerializer`
      Serializes the validation report on the given output stream.
      Specified by:
        `serialize` in interface `ValidationReportSerializer`
      Parameters:
        `vr` - the validation report to be serialized.
        `os` - the output stream used to produce the serialization.
      Throws:
        `SerializationException` - if there is an error serializing data

    - #### serializeGetterValue

          public void serializeGetterValue​(Object o,
                                           Method m,
                                           PrintStream ps)
                                    throws SerializationException

      Throws:
        `SerializationException`